// To parse this JSON data, do
//
//     final landAppr = landApprFromJson(jsonString);

import 'dart:convert';

LandAppr landApprFromJson(String str) => LandAppr.fromJson(json.decode(str));

String landApprToJson(LandAppr data) => json.encode(data.toJson());

class LandAppr {
  final int? id;
  final int? landapprDetailsId;
  final String? classification;
  final String? subClass;
  final String? area;
  final String? unitValue;
  final String? baseMarketval;

  LandAppr({
    this.id,
    this.landapprDetailsId,
    this.classification,
    this.subClass,
    this.area,
    this.unitValue,
    this.baseMarketval,
  });

  factory LandAppr.fromJson(Map<String, dynamic> json) => LandAppr(
        id: json["id"],
        landapprDetailsId: json["landappr_details_id"],
        classification: json["classification"],
        subClass: json["sub_class"],
        area: json["area"],
        unitValue: json["unit_value"],
        baseMarketval: json["base_marketval"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "landappr_details_id": landapprDetailsId,
        "classification": classification,
        "sub_class": subClass,
        "area": area,
        "unit_value": unitValue,
        "base_marketval": baseMarketval,
      };
}
